Subject: [bug#67896] [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Lars-Dominik Braun <[email-masked]>
Date: Sat, 6 Jan 2024 15:49:07 +0100

Hi,

sorry for the delay, I just tried your patch and it works well combining
a local cabal project and libraries/GHC from Guix. I’d say this is a
massive improvement, so I’d like to ship it with Guix. However this
is a world rebuilding change, so I’ll push it to the haskell-team
branch and probably wait for #67921 to be ready before it can hit master.

One minor issue: If you add a patch file, also add it to gnu/local.mk.

> However, given that Setup.hs also uses
> Distribution.Simple and that there are several places in Guix itself
> where we need to unset GHC_PACKAGE_PATH atm, I personally believe it
> to be preferable to fix the vendored version.

Which locations are you referring to?

Cheers,
Lars